#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

label: "FASTQC run"

doc: |
    Performs quality control on FASTQ files

requirements:
 - class: InlineJavascriptRequirement
 - class: InitialWorkDirRequirement
   listing:
    - entry: "$({class: 'Directory', listing: []})"
      entryname: "FASTQC"
      writable: true

hints:
  DockerRequirement:
    dockerPull: wurssb/unlock_base

baseCommand: "/unlock/infrastructure/binaries/fastqc_v0.11.9/fastqc"

arguments: ["--outdir", "FASTQC"]

inputs:
  fastqs:
      type: File[]
      doc: FastQ file list
      label: FASTQ file list
      inputBinding:
        position: 100
  threads:
    type: int?
    default: 1
    inputBinding:
      prefix: --threads

outputs:
  html_files: 
    type: File[]
    outputBinding:
      glob: "FASTQC/*.html"

s:author:
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-8172-8981
    s:email: mailto:jasper.koehorst@wur.nl
    s:name: Jasper Koehorst
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-9524-5964
    s:email: mailto:bart.nijsse@wur.nl
    s:name: Bart Nijsse

s:citation: https://m-unlock.nl
s:codeRepository: https://gitlab.com/m-unlock/cwl
s:dateCreated: "2020-00-00"
s:license: https://spdx.org/licenses/Apache-2.0 
s:copyrightHolder: "UNLOCK - Unlocking Microbial Potential"

$namespaces:
  s: https://schema.org/
  edam: http://edamontology.org/

$schemas:
 - http://edamontology.org/EDAM_1.24.owl
