#!/usr/bin/env cwl-runner

cwlVersion: v1.2

class: CommandLineTool

label: "Quality Assessment Tool for Genome Assemblies"
doc: |
  Runs the Quality Assessment Tool for Genome Assemblies application

requirements:
  InlineJavascriptRequirement: {}

inputs:
  assembly:
    type: File
    doc: The input assembly in fasta format
    label: assembly fasta file
    inputBinding:
      position: 999

outputs:
  basicStats:
    type: Directory
    outputBinding:
      glob: "quast_results/basic_stats"
  icarusDir:
    type: Directory
    outputBinding:
      glob: "quast_results/icarus_viewers"
  icarusHtml:
    type: File
    outputBinding:
      glob: "quast_results/icarus.html"
  quastReport:
    type: File[]
    outputBinding:
      glob: "quast_results/report.*"
  quastLog:
    type: File
    outputBinding:
      glob: "quast_results/quast.log"
  transposedReport:
    type: File[]
    outputBinding:
      glob: "quast_results/transposed_report.*"

baseCommand: ["/usr/local/bin/quast.py"]

arguments: ["--output-dir", "quast_results"]


s:author:
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-8172-8981
    s:email: mailto:jasper.koehorst@wur.nl
    s:name: Jasper Koehorst
  - class: s:Person
    s:identifier: https://orcid.org/0000-0001-9524-5964
    s:email: mailto:bart.nijsse@wur.nl
    s:name: Bart Nijsse

s:citation: https://m-unlock.nl
s:codeRepository: https://gitlab.com/m-unlock/cwl
s:dateCreated: "2020-00-00"
s:license: https://spdx.org/licenses/CC0-1.0.html 
s:copyrightHolder: "UNLOCK - Unlocking Microbial Potential"

$namespaces:
 edam: http://edamontology.org/
 iana: https://www.iana.org/assignments/media-types/
 s: http://schema.org/

$schemas:
 - http://edamontology.org/EDAM_1.16.owl